Bug 1110631 - [GSS] (6.4.0) Empty response returned when SOAP Fault is thrown from an endpoint having WS-Security Policy Signature profile
Summary: [GSS] (6.4.0) Empty response returned when SOAP Fault is thrown from an endpo...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.2.3
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: DR6
: EAP 6.4.0
Assignee: Alessio Soldano
QA Contact: Rostislav Svoboda
URL:
Whiteboard:
Depends On:
Blocks: 1111046 1111048 1111518 1115213 1143935
TreeView+ depends on / blocked
 
Reported: 2014-06-18 06:08 UTC by Tadayoshi Sato
Modified: 2019-08-02 07:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1111046 (view as bug list)
Environment:
Last Closed: 2019-08-02 07:31:03 UTC
Type: Bug


Attachments (Terms of Use)
Reproducer (31.50 KB, application/zip)
2014-06-18 06:08 UTC, Tadayoshi Sato
no flags Details


Links
System ID Priority Status Summary Last Updated
Apache JIRA CXF-5810 None None None Never
JBoss Issue Tracker JBWS-3802 Major Closed Empty response returned when SOAP Fault is thrown from an endpoint having WS-Security Policy Signature profile 2015-04-25 20:26:34 UTC

Description Tadayoshi Sato 2014-06-18 06:08:24 UTC
Created attachment 909847 [details]
Reproducer

Description of problem:
Platform BZ for https://issues.jboss.org/browse/JBWS-3802

Please port CXF-5810, which is the root cause of the issue, to JBoss WS.

When a web service has a WS-Security Signature policy in its WSDL and throws a SOAP Fault, it returns an empty HTTP response that has zero-length of content to client instead of the SOAP Fault.

This happens only with Signature policy and doesn't happen with any other WS-Security policies like UsernameToken, or without WS-Security.


How reproducible:
100%

Steps to Reproduce:
1. From the base maven project run:
   > mvn clean install jboss-as:deploy
2. Then run:
   > mvn clean test -Pjbossas-remote

Actual results:
- The reproducer client gets empty response from the endpoint.

Expected results:
- The reproducer client should get a SOAP Fault from the endpoint.

Comment 2 JBoss JIRA Server 2014-07-21 15:52:43 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Resolved

Comment 4 Jan Blizňák 2014-11-04 16:56:26 UTC
Verified with 6.4.0.DR8

Comment 5 JBoss JIRA Server 2015-04-25 20:26:34 UTC
Alessio Soldano <asoldano@redhat.com> updated the status of jira JBWS-3802 to Closed


Note You need to log in before you can comment on or make changes to this bug.